Bug 1274261 (CVE-2015-7852) - CVE-2015-7852 ntp: ntpq atoascii memory corruption vulnerability
Summary: CVE-2015-7852 ntp: ntpq atoascii memory corruption vulnerability
Status: CLOSED ERRATA
Alias: CVE-2015-7852
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20151021,repor...
Keywords: Security
Depends On: 1274351 1296207 1317795
Blocks: 1260670 1323912
TreeView+ depends on / blocked
 
Reported: 2015-10-22 11:31 UTC by Martin Prpič
Modified: 2016-11-06 04:14 UTC (History)
10 users (show)

(edit)
An off-by-one flaw, leading to a buffer overflow, was found in cookedprint functionality of ntpq. A specially crafted NTP packet could potentially cause ntpq to crash.
Clone Of:
(edit)
Last Closed: 2016-11-06 04:14:09 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:0780 normal SHIPPED_LIVE Moderate: ntp security and bug fix update 2016-05-10 22:35:43 UTC
Red Hat Knowledge Base (Solution) 2024443 None None None Never
Red Hat Product Errata RHSA-2016:2583 normal SHIPPED_LIVE Moderate: ntp security and bug fix update 2016-11-03 12:08:36 UTC

Description Martin Prpič 2015-10-22 11:31:18 UTC
The following flaw was found in ntpd:

A potential off by one vulnerability exists in the cookedprint functionality of ntpq. A specially crafted buffer could cause a buffer overflow potentially resulting in null byte being written out of bounds.

External References:

http://talosintel.com/reports/TALOS-2015-0063/
http://support.ntp.org/bin/view/Main/NtpBug2919

Comment 1 Martin Prpič 2015-10-22 14:34:13 UTC
Created ntp tracking bugs for this issue:

Affects: fedora-all [bug 1274351]

Comment 3 Fedora Update System 2015-11-02 18:52:59 UTC
ntp-4.2.6p5-34.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2015-11-04 22:49:34 UTC
ntp-4.2.6p5-34.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2016-02-21 02:25:18 UTC
ntp-4.2.6p5-36.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 errata-xmlrpc 2016-05-10 20:17:40 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2016:0780 https://rhn.redhat.com/errata/RHSA-2016-0780.html

Comment 14 errata-xmlrpc 2016-11-03 19:33:08 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:2583 https://rhn.redhat.com/errata/RHSA-2016-2583.html


Note You need to log in before you can comment on or make changes to this bug.